Debugger API (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 4.14. CUDBGGridInfo Struct Reference

## [Grid Properties]

### Public Variables

CuDim3 blockDim
  The block dimensions.
uint64_t context
  The context this grid belongs to.
uint32_t dev
  The index of the device this grid is running on.
uint64_t function
  The function corresponding to this grid.
uint64_t functionEntry
  The entry address of the function corresponding to this grid.
CuDim3 gridDim
  The grid dimensions.
uint64_t gridId64
  The 64-bit grid ID of this grid.
uint64_t module
  The module this grid belongs to.
CUDBGKernelOrigin origin
  The origin of this grid, CPU or GPU.
uint64_t parentGridId
  The 64-bit grid ID that launched this grid.
uint32_t tid
  The host thread ID that launched this grid.
CUDBGKernelType type
  The type of the grid.

### Variables

CuDim3 CUDBGGridInfo::blockDim [inherited]

  The block dimensions.

uint64_t CUDBGGridInfo::context [inherited]

  The context this grid belongs to.

uint32_t CUDBGGridInfo::dev [inherited]

  The index of the device this grid is running on.

uint64_t CUDBGGridInfo::function [inherited]

  The function corresponding to this grid.

uint64_t CUDBGGridInfo::functionEntry [inherited]

  The entry address of the function corresponding to this grid.

CuDim3 CUDBGGridInfo::gridDim [inherited]

  The grid dimensions.

uint64_t CUDBGGridInfo::gridId64 [inherited]

  The 64-bit grid ID of this grid.

uint64_t CUDBGGridInfo::module [inherited]

  The module this grid belongs to.

CUDBGKernelOrigin CUDBGGridInfo::origin [inherited]

  The origin of this grid, CPU or GPU.

uint64_t CUDBGGridInfo::parentGridId [inherited]

  The 64-bit grid ID that launched this grid.

uint32_t CUDBGGridInfo::tid [inherited]

  The host thread ID that launched this grid.

CUDBGKernelType CUDBGGridInfo::type [inherited]

  The type of the grid.